Subject: Re: bug#30675: Ask the user what to do when shr-make-table: Variable binding depth exceeds max-specpdl-size

From: Noam Postavsky <[email-masked]>
Date: Thu, 01 Mar 2018 21:51:36 -0500

severity 30675 wishlist
quit

積丹尼 Dan Jacobson <[email-masked]> writes:

> Instead of warning the user when this happens
>
> KY> (defun shr-descend (dom)
> KY>   ...
> KY>     (if (> shr-depth (/ max-specpdl-size 15))
> KY> 	(setq shr-warning "Too deeply nested to render properly; consider increasing `max-specpdl-size'")
> KY>       else ...))
>
> it should ask the user "Should we try 15 levels deeper? y-n
>
> and if that is still not enough,
>
> it should ask the user "Should we try 25 levels even more deeper? y-n
> ...
>
> Why?
>
> Because the user is facing a probably one-time bad html message.
>
> He doesn't want to change his .emacs to always let them pass.
>
> He also wants the choice:
> no I don't want to go deeper for this promotional coupon.
> yes my grandmom sent me this so I want to see it.

On the other hand, if you say go deeper too far Emacs will crash.  It's
a bit hard to predict how far is too far, so I'm not sure if this prompt
is such a great idea.  See Bug#16999 "calc crashes when computation
limit is increased" for an example of such a prompt.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=16999